# $Revision: 1.26 $, $Date: 2004/08/08 19:57:14 $
Summary:	Library for accessing the termcap database
Summary(de):	Library zum Zugriff auf die termcap-Datenbank
Summary(es):	Biblioteca para acceder a base de datos termcap
Summary(fr):	Librairie pour accder  la base de donnes termcap
Summary(pl):	Biblioteki dostpu do bazy danych termcap
Summary(pt_BR):	Biblioteca para acessar a base de dados termcap
Summary(tr):	termcap veri tabanna eriim kitapl
Name:		libtermcap
Version:	2.0.8
Release:	4
Group:		Libraries
License:	LGPL
Source0:	ftp://sunsite.unc.edu/pub/Linux/GCC/termcap-%{version}.tar.gz
# Source0-md5:	b9256cccfd4ddf725e20bf100f8c001a
Patch0:		%{name}-setuid.patch
Patch1:		%{name}-glibc21.patch
Patch2:		%{name}-xref.patch
Patch3:		%{name}-fix-tc.patch
Patch4:		%{name}-ignore-p.patch
Patch5:		%{name}-bufsize.patch
Patch6:		%{name}-colon.patch
Patch7:		%{name}-buffer.patch
Patch8:		%{name}-aaargh.patch
Requires:	/etc/termcap
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is the library for accessing the termcap database.

%description -l de
Dies ist die Library zum Zugriff auf die termcap-Datenbank.

%description -l es
Esta es la biblioteca para acceso al banco de datos termcap.

%description -l fr
Bibliothque pour accder  la base de donnes termcap.

%description -l pl
Biblioteki dostpu do bazy danych termcap.

%description -l pt_BR
Esta  a biblioteca para acesso ao banco de dados termcap.

%description -l tr
Bu paket termcap veri tabanna ulam kitapln ierir.

%package devel
Summary:	Development libraries and header files for termcap library
Summary(de):	Entwicklungs-Libraries und Header-Dateien fr die termcap-Library
Summary(es):	Biblioteca para desarrollo y archivos de inclusin para biblioteca
Summary(fr):	Librairies de dveloppement et fichiers d'en-tte pour la termcap
Summary(pl):	Biblioteki i pliki nagwkowe dla termcap
Summary(pt_BR):	Biblioteca para desenvolvimento e arquivos de incluso para biblioteca termcap
Summary(tr):	termcap kitapln kullanan gelitirmek iin gerekli dosyalar
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
This is the package containing the development libaries and header
files for writing programs that access the termcap database. It may be
necessary to build some other packages as well.

%description devel -l pl
Pakiet ten zawiera biblioteki i pliki nagwkowe dla programistw.

%description devel -l de
Dies ist ein Paket mit Entwicklungs-Libraries und Header-Dateien zum
Schreiben von Programmen, die auf die termcap-Datenbank zugreifen.
Eventuell mssen noch ein paar andere Pakete gebaut werden.

%description devel -l es
Este es el paquete que contiene las bibliotecas y archivos de
inclusin para la escritura de programas que acceden al banco de
datos termcap.  Puede ser necesario tambin para construir otros
paquetes.

%description devel -l fr
Ceci est le package contenant les bibliothques de dveloppement et
les fichiers d'en-tte pour crire des programmes accdant  la base
de donnes termcap. Cela peut tre ncessaire pour construire certains
autres packages.

%description devel -l pt_BR
Este  o pacote que contm as bibliotecas e arquivos de incluso
para a escrita de programas que acessam o banco de dados termcap. Ele
pode ser necessrio para construir outros pacotes tambm.

%description devel -l tr
Bu paket, termcap veri tabann kullanan programlar gelitirmek iin
gereken balk dosyalar ve kitaplklar ierir.

%package static
Summary:	Static termcap library
Summary(pl):	Statyczna Biblioteka termcap
Summary(pt_BR):	Bibliotecas estticas para desenvolvimento com termcap
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static termcap library.

%description static -l pl
Statyczna biblioteka temcap.

%description static -l pt_BR
Bibliotecas estticas para desenvolvimento com termcap

%prep
%setup -q -n termcap-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1

%build
cat > config.h <<EOF
#include <string.h>
#include <stdlib.h>
#include <unistd.h>
EOF

%{__make} CFLAGS="%{rpmcflags} -DHAVE_CONFIG_H -I."
%{__make} info

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/lib,%{_libdir},%{_includedir},%{_infodir}}

install *.so.* $RPM_BUILD_ROOT/lib
install libtermcap.a $RPM_BUILD_ROOT%{_libdir}/libtermcap.a
install termcap.h $RPM_BUILD_ROOT%{_includedir}/termcap.h
install termcap.info* $RPM_BUILD_ROOT%{_infodir}

ln -sf ../../lib/libtermcap.so.%{version} $RPM_BUILD_ROOT%{_libdir}/libtermcap.so

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post devel
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun devel
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) /lib/*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc README ChangeLog
%attr(755,root,root) %{_libdir}/*.so
%{_includedir}/*.h
%{_infodir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libtermcap.spec,v $
Revision 1.26  2004/08/08 19:57:14  havner
- rel 4

Revision 1.25  2003/08/28 08:20:32  ankry
- cosmetics

Revision 1.24  2003/07/23 01:04:59  undefine
- add pt_BR/es translations

Revision 1.23  2003/05/28 12:59:32  malekith
- massive attack: source-md5

Revision 1.22  2003/05/25 05:50:04  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.21  2002/12/02 11:06:21  ankry
- massive cleaning

Revision 1.20  2002/11/27 21:10:41  juandon
- new %%doc

Revision 1.19  2002/02/23 03:36:23  kloczek
- adapterized.

Revision 1.18  2002/02/22 23:29:12  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/02/02 20:26:03  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.16  2002/02/01 14:52:43  ankry
- added Group(es/pt_BR/ru/uk)

Revision 1.15  2002/01/18 02:13:42  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2001/10/03 16:41:24  filon
- changed req for main subpkg in static subpkg to devel
- release 3

Revision 1.13  2001/07/26 05:42:09  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.11  2001/04/12 20:56:36  qboosh
- updated spec, added some RH patches
- removed necessity information from descriptions
  (this package is for compatibility only)

Revision 1.10  2000/06/09 07:23:24  kloczek
- added using %%{__make} macro.

Revision 1.9  2000/04/01 11:14:52  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.8  2000/03/28 16:54:41  baggins
- translated kloczkish into english

Revision 1.7  1999/07/12 23:06:06  kloczek

- added using CVS keywords in %changelog (for automating them).

* Sun Mar 14 1999 Micha Kuratczyk <kura@pld.org.pl>
  [2.0.8-2]
- added gzipping documentation
- cosmetic changes

* Sun Feb 28 1999 Piotr Czerwiski <pius@ceti.com.pl>
- fixed CFLAGS definition,
- added Polish group description,
- cosmetic changes.

* Sun Jul 19 1998 Wojtek lusarczyk <wojtek@shadow.eu.org>
[2.0.8-1d]
- build for PLD Tornado,
- translation modified for pl,
- build from non root's account.
- major changes.

* Tue Jun 30 1998 Alan Cox <alan@redhat.com>
- But assume system termcap is sane. Also handle setfsuid return right.

* Tue Jun 30 1998 Alan Cox <alan@redhat.com>
- TERMCAP environment hole for setuid apps squished.

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Oct 14 1997 Donnie Barnes <djb@redhat.com>
- spec file cleanups

* Tue Jun 03 1997 Erik Troan <ewt@redhat.com>
- built against glibc
